import numpy as np
import sys

def test_gen():
  filename = 'nc.txt'
  datlines = []

  fp = open( filename,'r' )
  if fp:
    for i, line in enumerate(fp):
      if not line.isspace():
        add = line.strip()
        if sys.version_info > (3,0):
          add = bytes(add,"utf-8")
          # bytes is required for parsing by numpy genfromtxt.  This is
          # not an issue in python2
        print( "adding line: " + add )
        datlines.append( add )
  fp.close()


  import_cols = True

  gen_args = {}
  gen_args['dtype'] = float
  gen_args['missing_values'] = 'NC'
  gen_args['filling_values'] = '0'
  gen_args['unpack'] = import_cols
  print( "genfromtxt args: " + str(gen_args) )


  data = np.genfromtxt( filename, **gen_args );
  print( "From filename: " )
  print( str(data) )

  data = np.genfromtxt( datlines, **gen_args );
  print( "\nFrom array of lines: " )
  print( str(data) )


